Cantera 2.6.0

Classes | Namespaces
FactoryBase.h File Reference

File contains the FactoryBase class declarations. More...

`#include <mutex>`
`#include <unordered_map>`
`#include <functional>`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/global.h"`
Include dependency graph for FactoryBase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | FactoryBase
| Base class for factories. More...
class | Factory< T, Args >
| Factory class that supports registering functions to create objects. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Detailed Description

File contains the FactoryBase class declarations.

Definition in file FactoryBase.h.